CS::Mesh::iFurMeshType Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Mesh::iFurMeshType Struct Reference
Mesh plugins

This plugin describes a specific type of fur mesh objects. More...

`#include <imesh/furmesh.h>`

Inheritance diagram for CS::Mesh::iFurMeshType:

List of all members.

## Public Member Functions
virtual void | ClearFurAnimationControls ()=0
| Remove all iFurAnimationControls.
virtual void | ClearFurMeshMaterialProperites ()=0
| Remove all iFurMeshMaterialProperties.
virtual CS::Animation::iFurAnimationControl * | CreateFurAnimatedMeshControl (const char *name)=0
| Create a FurAnimatedMeshControl using a cons char * as unique ID.
virtual iFurMeshMaterialProperties * | CreateFurMeshBasicProperties (const char *name)=0
| Create a FurMeshBasicProperties using a cons char * as unique ID.
virtual CS::Animation::iFurAnimationControl * | CreateFurPhysicsControl (const char *name)=0
| Create a CS::Animation::FurPhysicsControl using a cons char * as unique ID.
virtual iFurMeshMaterialProperties * | CreateHairMeshMarschnerProperties (const char *name)=0
| Create a HairMeshMarschnerProperties using a cons char * as unique ID.
virtual CS::Animation::iFurAnimationControl * | FindFurAnimationControl (const char *name) const =0
| Find iFurAnimationControl with ID name or return 0 otherwise.
virtual iFurMeshMaterialProperties * | FindFurMeshMaterialProperites (const char *name) const =0
| Find iFurMeshMaterialProperties with ID name or return 0 otherwise.
virtual void | RemoveFurAnimationControl (const char *name)=0
| Remove iFurAnimationControl with ID name if exists.
virtual void | RemoveFurMeshMaterialProperites (const char *name)=0
| Remove iFurMeshMaterialProperties with ID name if exists.

## Detailed Description

This plugin describes a specific type of fur mesh objects.

All methods are inherited from iMeshObjectType

Definition at line 391 of file furmesh.h.

## Member Function Documentation

virtual void CS::Mesh::iFurMeshType::ClearFurAnimationControls | ( |  | ) | `[pure virtual]`

Remove all iFurAnimationControls.

virtual void CS::Mesh::iFurMeshType::ClearFurMeshMaterialProperites | ( |  | ) | `[pure virtual]`

Remove all iFurMeshMaterialProperties.

virtual CS::Animation::iFurAnimationControl* CS::Mesh::iFurMeshType::CreateFurAnimatedMeshControl | ( | const char * | name | ) | `[pure virtual]`

Create a FurAnimatedMeshControl using a cons char * as unique ID.

virtual iFurMeshMaterialProperties* CS::Mesh::iFurMeshType::CreateFurMeshBasicProperties | ( | const char * | name | ) | `[pure virtual]`

Create a FurMeshBasicProperties using a cons char * as unique ID.

This iFurMeshMaterialProperties only defines set and get material

virtual CS::Animation::iFurAnimationControl* CS::Mesh::iFurMeshType::CreateFurPhysicsControl | ( | const char * | name | ) | `[pure virtual]`

Create a CS::Animation::FurPhysicsControl using a cons char * as unique ID.

virtual iFurMeshMaterialProperties* CS::Mesh::iFurMeshType::CreateHairMeshMarschnerProperties | ( | const char * | name | ) | `[pure virtual]`

Create a HairMeshMarschnerProperties using a cons char * as unique ID.

virtual CS::Animation::iFurAnimationControl* CS::Mesh::iFurMeshType::FindFurAnimationControl | ( | const char * | name | ) | const`[pure virtual]`

Find iFurAnimationControl with ID name or return 0 otherwise.

virtual iFurMeshMaterialProperties* CS::Mesh::iFurMeshType::FindFurMeshMaterialProperites | ( | const char * | name | ) | const`[pure virtual]`

Find iFurMeshMaterialProperties with ID name or return 0 otherwise.

virtual void CS::Mesh::iFurMeshType::RemoveFurAnimationControl | ( | const char * | name | ) | `[pure virtual]`

Remove iFurAnimationControl with ID name if exists.

virtual void CS::Mesh::iFurMeshType::RemoveFurMeshMaterialProperites | ( | const char * | name | ) | `[pure virtual]`

Remove iFurMeshMaterialProperties with ID name if exists.

The documentation for this struct was generated from the following file:

- imesh/furmesh.h